{% sw_extends '@Storefront/storefront/base.html.twig' %}

{# TO DO: Breadcrump wird noch nicht angezeigt... #}
{# TO DO: Text aus alert als Textbaustein einfügen #}

{% set isHMRMode = true %}

{% block base_header %}
    <header class="header-main bg-white">		
		{% block base_header_alert %}
			<div class="alert alert-pink text-center text-white text-uppercase p-2 py-lg-0 py-lg-3 py-xl-4 d-flex justify-content-center align-items-center mb-0" role="alert">
				<span>Wir haben VIP Weekend - Exclusiv, Einmalig & Nur für VIP Mitglieder!</span>
				<button type="button" class="close d-flex justify-content-center ml-3 align-items-center" data-dismiss="alert" aria-label="Close">
					{% sw_icon 'x' style {'size':'l'} %}
				</button>
			</div>
        {% endblock %}
    
        {% block base_header_inner %}
            {% sw_include '@Storefront/storefront/layout/header/header.html.twig' %}
        {% endblock %}
    </header>
{% endblock %}

{% block base_navigation %}{% endblock %}


{% block base_main %}
    <main class="content-main">
        {% block base_flashbags %}
            {{ parent() }}
        {% endblock %}
        
        <div class="breadcrumb cms-breadcrumb cms-breadcrump container-fluid d-none d-md-block p-lg-4 p-xl-5 bg-light mb-0">
		    {% block base_breadcrumb %}
		    	<nav aria-label="breadcrumb">
					<ol class="breadcrumb mb-0">
						<li class="breadcrumb-item" aria-current="page">
						    <a href="#">Link 1</a>
						</li>
						<li class="breadcrumb-item" aria-current="page">
						    <a href="#">Link 2</a>
						</li>
						<li class="breadcrumb-item" aria-current="page">
						    <a href="#">Link 3</a>
						</li>
					</ol>
				</nav>
		    
                {% if breadcrumbList %}
                    {% sw_include '@Storefront/storefront/layout/breadcrumb.html.twig' %}
                {% endif %}
            {% endblock %}
		</div>

        {% block base_main_inner %}
            <div class="container-fluid">
                {% block base_main_container %}
                    <div class="container-main pt-lg-5">
                        {% block base_content %}{% endblock %}
                    </div>
                {% endblock %}
            </div>
        {% endblock %}
    </main>
{% endblock %}



{% block base_footer %}
    <footer class="footer-main border-0 pt-4 pt-lg-0">
        {% block base_footer_inner %}
		    {% sw_include '@Storefront/storefront/layout/footer/footer.html.twig' %}
		{% endblock %}
    </footer>
{% endblock %}